#
# regfish DynDNS Version 2 fuer Windows PowerShell
# --------------------------------------------------
# Fuehren Sie dieses Script jede Minute mit Hilfe
# der Aufgabenplanung aus.
# --------------------------------------------------
# Version 2.01
# Letzte Aenderung: 24.07.2018
# Copyright (c) regfish GmbH
# --------------------------------------------------

# Folgende Werte muessen von Ihnen angepasst werden.
# --------------------------------------------------
# FQDN = Hostname (z.B. meinrechner.meinedomain.de.)
#        ACHTUNG: der Punkt am Ende ist notwendig.
# TOKEN = regfish dynDNS Kennwort
# --------------------------------------------------
$FQDN="meinrechner.meinedomain.de."
$TOKEN="9faff6adf27bebce294ea10d1e2661d4"
$PFAD="C:\regfish.com_dynDNSv2_powershell"
# --------------------------------------------------

set-location $PFAD

[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12

$aIPv4 = (New-Object System.Net.WebClient).DownloadString("http://www.regfish.de/show_myip.php")
$SIPv4 = `cat "regfish_myIPv4.txt"`

if($aIPv4 -eq $SIPv4){
  exit 0
}else{
  $rCode=(New-Object System.Net.WebClient).DownloadString("https://dyndns.regfish.de/?fqdn=$FQDN&thisipv4=1&forcehost=1&authtype=secure&token=$TOKEN")

  echo $rCode

  if($rCode.Contains("success|100|update succeeded!") -or $rCode.Contains("success|101|already up-to-date!")){
    echo $aIPv4 > regfish_myIPv4.txt
  }
}
